summaryrefslogtreecommitdiff
path: root/bin/get-assignment
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2017-10-26 09:38:51 +0200
committerErich Eckner <git@eckner.net>2017-10-26 09:38:51 +0200
commitecaa8711d57c069a0ff98247d24369247421d56c (patch)
tree221c5216c0407633c81ace9321bbd11123839e0e /bin/get-assignment
parent84459b13161c572ec2fbaf4dd4b4ed5ba3ce4709 (diff)
downloadbuilder-ecaa8711d57c069a0ff98247d24369247421d56c.tar.xz
bin/get-assignment: hand out prefered packages even if they are blocked
Diffstat (limited to 'bin/get-assignment')
-rwxr-xr-xbin/get-assignment13
1 files changed, 12 insertions, 1 deletions
diff --git a/bin/get-assignment b/bin/get-assignment
index 1013265..5328b0d 100755
--- a/bin/get-assignment
+++ b/bin/get-assignment
@@ -118,6 +118,7 @@ for iteration in 'prefered' 'fresh' 'loops' 'broken'; do
case "${iteration}" in
'prefered')
+ hand_out_blocked=true
hand_out_broken=true
hand_out_loop=false
echo "$1" | \
@@ -126,6 +127,7 @@ for iteration in 'prefered' 'fresh' 'loops' 'broken'; do
"${tmp_dir}/hand-out-only-these-packages"
;;
'fresh')
+ hand_out_blocked=false
hand_out_broken=false
hand_out_loop=false
{
@@ -143,6 +145,7 @@ for iteration in 'prefered' 'fresh' 'loops' 'broken'; do
"${tmp_dir}/hand-out-only-these-packages"
;;
'loops')
+ hand_out_blocked=false
hand_out_broken=false
hand_out_loop=true
find "${work_dir}/build-list.loops" -maxdepth 1 -regextype grep \
@@ -152,6 +155,7 @@ for iteration in 'prefered' 'fresh' 'loops' 'broken'; do
"${tmp_dir}/hand-out-only-these-packages"
;;
'broken')
+ hand_out_blocked=false
hand_out_broken=true
hand_out_loop=true
grep -vxF 'break_loops' "${work_dir}/build-list" | \
@@ -171,7 +175,14 @@ for iteration in 'prefered' 'fresh' 'loops' 'broken'; do
while read -r package git_revision mod_git_revision repository; do
- if package_locked_or_blocked "${package}" "${git_revision}" "${mod_git_revision}" "${repository}"; then
+ # package locked?
+ if [ -f "${work_dir}/package-states/${package}.${git_revision}.${mod_git_revision}.${repository}.locked" ]; then
+ continue
+ fi
+
+ # package blocked?
+ if ! ${hand_out_blocked} &&
+ [ -f "${work_dir}/package-states/${package}.${git_revision}.${mod_git_revision}.${repository}.blocked" ]; then
continue
fi